View Javadoc

    1   package net.sourceforge.pmd.renderers;
    2
    3   /**
    4    *
    5    * @author Brian Remedios
    6    *
    7    * @param <T>
    8    */
    9   public class ColumnDescriptor<T extends Object> {
    10
    11  	public final String id;
    12  	public final String title;
    13  	public final Accessor<T> accessor;
    14
    15      public interface Accessor<T extends Object> { public String get(int idx, T violation, String lineSeparator); }
    16
    17  	public ColumnDescriptor(String theId, String theTitle, Accessor<T> theAccessor) {
    18  		id = theId;
    19  		title = theTitle;
    20  		accessor = theAccessor;
    21  	}
    22  }